diff --git a/src/backend/access/hash/README b/src/backend/access/hash/README
index 2652cae..0a7da89 100644
--- a/src/backend/access/hash/README
+++ b/src/backend/access/hash/README
@@ -429,8 +429,8 @@ algorithm is:
 	(this requires read/update/write/release of fore and aft siblings)
 	pin meta page and take buffer content lock in shared mode
 	determine which bitmap page contains the free space bit for page
-	relase meta page buffer content lock
-	pin bitmap page and take buffer content lock in exclusie mode
+	release meta page buffer content lock
+	pin bitmap page and take buffer content lock in exclusive mode
 	update bitmap bit
 	mark bitmap page dirty and release buffer content lock and pin
 	if page number is less than what we saw as first-free-bit in meta:
diff --git a/src/backend/access/nbtree/README b/src/backend/access/nbtree/README
index 6d438a7..fcf1a95 100644
--- a/src/backend/access/nbtree/README
+++ b/src/backend/access/nbtree/README
@@ -46,7 +46,7 @@ Lehman and Yao don't require read locks, but assume that in-memory
 copies of tree pages are unshared.  Postgres shares in-memory buffers
 among backends.  As a result, we do page-level read locking on btree
 pages in order to guarantee that no record is modified while we are
-examining it.  This reduces concurrency but guaranteees correct
+examining it.  This reduces concurrency but guarantees correct
 behavior.  An advantage is that when trading in a read lock for a
 write lock, we need not re-read the page after getting the write lock.
 Since we're also holding a pin on the shared buffer containing the
diff --git a/src/backend/utils/adt/windowfuncs.c b/src/backend/utils/adt/windowfuncs.c
index 2f171ac..b7c42d3 100644
--- a/src/backend/utils/adt/windowfuncs.c
+++ b/src/backend/utils/adt/windowfuncs.c
@@ -161,7 +161,7 @@ window_percent_rank(PG_FUNCTION_ARGS)
 
 /*
  * cume_dist
- * return fraction betweeen 0 and 1 inclusive,
+ * return fraction between 0 and 1 inclusive,
  * which is described as NP / NR, where NP is the number of rows preceding or
  * peers to the current row, and NR is the total number of rows, per spec.
  */
diff --git a/src/interfaces/libpq/fe-exec.c b/src/interfaces/libpq/fe-exec.c
index 5abccf4..eaa5407 100644
--- a/src/interfaces/libpq/fe-exec.c
+++ b/src/interfaces/libpq/fe-exec.c
@@ -279,7 +279,7 @@ PQsetResultAttrs(PGresult *res, int numAttributes, PGresAttDesc *attDescs)
  *	 PG_COPYRES_ATTRS - Copy the source result's attributes
  *
  *	 PG_COPYRES_TUPLES - Copy the source result's tuples.  This implies
- *	 copying the attrs, seeeing how the attrs are needed by the tuples.
+ *	 copying the attrs, seeing how the attrs are needed by the tuples.
  *
  *	 PG_COPYRES_EVENTS - Copy the source result's events.
  *
